Get Flow api

Use this API to get flow details by flow Id.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValueData typeRequired/OptionalConstraints
AuthorizationAccess Token for the application{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner App Access Token
appIdApp id of the app{{APP_ID}}StringRequiredThe Id should be a valid app Id of Gupshup
flowIdFlow Id{{FLOW_ID}}StringRequiredFlow Id generated by Meta
fieldsYou can request other fields by using the fields param in the request.{{FIELDS}}StringOptionalit value would be comma separate : id, name, categories, preview, status, validation_errors, json_version, data_api_version, endpoint_uri, whatsapp_business_account, application

Sample Request

curl --location --request GET 'https://partner.gupshup.io/partner/app/{{APP_ID}}/flows/{{FLOW_ID}}?feilds={{FEILDS}}' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/json''

Sample Response

{
    "application": {
        "id": "2281283925530161",
        "link": "https://www.gupshup.io/developer/home",
        "name": "GupShup"
    },
    "categories": [
        "APPOINTMENT_BOOKING",
        "SIGN_UP"
    ],
    "id": "1616289422261049",
    "json_version": "3.1",
    "name": "flow_dev_01",
    "preview": {
        "expires_at": "2024-07-21T10:15:47+0000",
        "preview_url": "https://business.facebook.com/wa/manage/flows/1616289422261049/preview/?token=fe2fa8b0-86bf-4d53-a6c3-eec4085ab48b"
    },
    "status": "success",
    "validation_errors": [],
    "whatsapp_business_account": {
        "currency": "INR",
        "id": "174161222453488",
        "message_template_namespace": "5928791c_e309_41df_b1d3_78e4af7954df",
        "name": "Self Serve Automation",
        "timezone_id": "71"
    }
}

Status Codes

Status CodeResponseComments
Success
200\{

"application": {
"id": "2281283925530161",
"link": "https://www.gupshup.io/developer/home",
"name": "GupShup"
},
"categories": [
"APPOINTMENT_BOOKING",
"SIGN_UP"
],
"id": "1616289422261049",
"json_version": "3.1",
"name": "flow_dev_01",
"preview": {
"expires_at": "2024-07-21T10:15:47+0000",
"preview_url": "https://business.facebook.com/wa/manage/flows/1616289422261049/preview/?token=fe2fa8b0-86bf-4d53-a6c3-eec4085ab48b"
},
"status": "success",
"validation_errors": [],
"whatsapp_business_account": {
"currency": "INR",
"id": "174161222453488",
"message_template_namespace": "5928791c_e309_41df_b1d3_78e4af7954df",
"name": "Self Serve Automation",
"timezone_id": "71"
}
}
Get flow details for flow ID
Error
400

{

"status": "error",
"message": "Unsupported get request. Object with ID '12368263876e8269o6362986738' does not exist, cannot be loaded due to missing permissions, or does not support this operation. Please read the Graph API documentation at https://developers.facebook.com/docs/graph-api"
}

For invalid flow ID
Path Params
string
required

Unique identifier of the app.

string
required

Flow Id generated by Meta

Query Params
string
Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json